use discord_rpc_client::{models::Event, Client as DiscordRPC};
use simplelog::*;
use std::{thread, time};

#[tokio::main]
async fn main() -> discord_rpc_client::Result<()> {
    TermLogger::init(
        LevelFilter::Debug,
        Config::default(),
        TerminalMode::Mixed,
        ColorChoice::Always,
    )
    .unwrap();

    let drpc = DiscordRPC::default();

    drpc.connect(425407036495495169).await?;

    drpc.subscribe(Event::ActivityJoin, |j| j.secret("123456"))
        .await
        .expect("Failed to subscribe to event");

    drpc.subscribe(Event::ActivitySpectate, |s| s.secret("123456"))
        .await
        .expect("Failed to subscribe to event");

    drpc.subscribe(Event::ActivityJoinRequest, |s| s)
        .await
        .expect("Failed to subscribe to event");

    drpc.unsubscribe(Event::ActivityJoinRequest, |j| j)
        .await
        .expect("Failed to unsubscribe from event");

    loop {
        tokio::time::sleep(time::Duration::from_millis(500)).await;
    }
}
