package com.discord.rpc;

public final class Activity {
	public String state;
	public String details;
	public boolean instance;
	public ActivityTimestamps timestamps;
	public ActivityAssets assets;
	public ActivityParty party;
	public ActivitySecrets secrets;

	public Activity() {
		this.state = null;
		this.details = null;
		this.instance = false;
		this.timestamps = null;
		this.assets = null;
		this.party = null;
		this.secrets = null;
	}

	public Activity withState(String state) {
		this.state = state;
		return this;
	}

	public Activity withDetails(String details) {
		this.details = details;
		return this;
	}

	public Activity withInstance(boolean instance) {
		this.instance = instance;
		return this;
	}

	public Activity withTimestamps(ActivityTimestamps timestamps) {
		this.timestamps = timestamps;
		return this;
	}

	public Activity withAssets(ActivityAssets assets) {
		this.assets = assets;
		return this;
	}

	public Activity withParty(ActivityParty party) {
		this.party = party;
		return this;
	}

	public Activity withSecrets(ActivitySecrets secrets) {
		this.secrets = secrets;
		return this;
	}

	public Activity copy() {
		return new Activity().withState(this.state).withDetails(this.details).withInstance(this.instance).withTimestamps(this.timestamps).withAssets(this.assets).withParty(this.party).withSecrets(this.secrets);
	}
}

