package com.discord.rpc;

import java.io.File;

public final class DiscordRPC {
	private final long handle;

	private DiscordRPC(long handle) {
		this.handle = handle;
	}

	/**
	 * @return the new client instance, or null if an error occurred.
	 */
	public static native DiscordRPC create();

	public native boolean connect(String clientId);

	public native boolean disconnect();

	public native boolean setActivity(Activity activity);

	public native boolean clearActivity();

	static {
		final var dir = System.getProperty("com.discord.librarypath");
		if (dir != null) {
			System.load(dir + File.separator + System.mapLibraryName("discord_rpc"));
		} else {
			System.loadLibrary("discord_rpc");
		}
	}

	/**
	 * This method does nothing, but ensures that the native library will be loaded.
	 */
	public static void initialize() {
	}
}
